<?php

namespace Planaday\Utility\FormBuilder;

use JsonSerializable;

interface LayoutItem extends JsonSerializable{
	public function getParent(): ?LayoutItem;
	public function setParent(?LayoutItem $parent): static;
	public function getOwner(): ?Form;
	public function getItemId(): string;
	public function addConditions(Condition ...$conditions): static;
}